summaryrefslogtreecommitdiffstats
path: root/streams/groove
diff options
context:
space:
mode:
authorFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-29 15:48:47 +0200
committerFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-29 15:48:47 +0200
commit30b44417f91eb100fa67a38e9c1c1f88682c92ef (patch)
treef0c6c97d76c9ac7cfe2c88bdffcaee53ff0bc3ae /streams/groove
parent427bdf4e2093217f967384f785e3907930a74a21 (diff)
parent12c77cdbfa4ec48d935af3ae7cf1118e38bec6e1 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'streams/groove')
-rwxr-xr-xstreams/groove29
1 files changed, 29 insertions, 0 deletions
diff --git a/streams/groove b/streams/groove
new file mode 100755
index 00000000..2d4a3e28
--- /dev/null
+++ b/streams/groove
@@ -0,0 +1,29 @@
+#! /bin/bash
+set -euf
+function stop()
+{
+ pkill mplayer || true
+}
+
+CMD="while true; do exec mplayer http://somafm.com/groovesalad.pls; sleep 1;done"
+case "$1" in
+ start)
+ stop
+ if tmux list-sessions;
+ then
+ tmux new-window "$CMD" &
+ else
+ tmux new-session "$CMD" &
+ fi
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac